--势力场景
--晚宴起始任务

--脚本号
x105005_g_scriptId=105005

--事件交互入口
function x105005_OnDefaultEvent(scene, selfId, targetId)
	BeginEvent(scene)
	AddText(scene,"[43596b]我正被惡徒追擊，他們企圖搶奪我身上的能量大陣，我現在非常虛弱，請你們幫幫我，我會把我的能量分享給你們的[-]")
	
	AddNumText(scene,x105005_g_scriptId,"守護朱雀",-2,1)
	AddNumText(scene,x105005_g_scriptId,"活動說明",-1,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x105005_OnEventRequest(scene, selfId, targetId, eventId, index)
	if index==1 then
	GuildFormationEnroll(scene,selfId,targetId)
	elseif index==2 then
	BeginEvent(scene)
	AddText(scene,"玩法說明：\n1. 鳳午守護每周二、周四12：30開始\n2. 到達活動時間後，虛弱的朱雀會在勢力駐地休養生息，與朱雀對話後即可接取任務，完成任務即可幫助朱雀恢復能量並增加勢力戰陣的經驗\n3. 當朱雀的能量達到一定值後，會在勢力駐地散落替換下來的朱雀羽毛，拾取後可獲得獎勵\n4. 當朱雀能量達到一定值後，會吸引窺探朱雀能量的敵人，擊敗敵人，守衛朱雀獲得獎勵吧！")
	
	AddNumText(scene,x105005_g_scriptId,"守護朱雀",-2,1)
	AddNumText(scene,x105005_g_scriptId,"活動說明",-1,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
	end
end

function x105005_OnTriggerEvent(scene, selfId, targetId, stringInfo, index)
end